Comercios

Actualización parcial de comercio

PATCH /v2/merchants/{merchant_id}

Este endpoint permite modificar un comercio asociado a un cliente.

ℹ️

En PATCH los campos son parciales/nulleables: solo enviá los datos que querés actualizar. Los campos no enviados no se modifican.

ParámetrosDescripción
legal_type
  • string
  • Si es persona física/moral cargar NATURAL_PERSON, si es una entidad jurídica seleccionar LEGAL_ENTITY
  • [NATURAL_PERSON,LEGAL_ENTITY]
business_name
  • string
  • Nombre comercial del comercio
    • Alfanumérico
    • Min/Max: 1-50 (ARG) / 1-60 (MEX)
fantasy_name
  • string
  • Nombre de fantasía del comercio
    • Alfanumérico
    • Min/Max: 1-50 (ARG) / 1-18 (MEX)
additional_info
  • (opcional)
  • string
  • Información adicional que se le puede agregar al comercio
  • address.
state
  • string
  • Provincia/Estado (Listado de provincias/estados)
  • address.
city
  • string
  • Ciudad
    • Alfanumérico
    • Min/Max: 1-30 (ARG) / 1-18 (MEX)
  • address.
zip
  • string
  • Código postal
    • Alfanumérico
    • Min/Max: 8-8 (ARG) / 5-10 (MEX)
  • address.
street
  • string
  • Calle
    • Alfanumérico
    • Min: 1
  • address.
number
  • string
  • Número de calle
    • Numérico
    • Min/Max: 1-10 (ARG) / 1-6 (MEX)
  • address.
floor
  • (opcional)
  • string
  • Piso del departamento
  • address.
apartment
  • (opcional)
  • string
  • Departamento
  • address.
location
  • (opcional)
  • object
  • Coordenadas geográficas del comercio. Si se envía, deben incluirse lat y lng.
  • address.location.
lat
  • (opcional)
  • number
  • Latitud (ej. valor obtenido desde Google Maps u otro servicio de geolocalización)
  • address.location.
lng
  • (opcional)
  • number
  • Longitud (ej. valor obtenido desde Google Maps u otro servicio de geolocalización)
  • tax_identification.
type
  • string
  • Tipo de documento del comercio
  • [CUIT(ARG),RFC(MEX)]
  • tax_identification.
number
  • string
  • Número de documento del comercio
    • Numérico
    • Min/Max: 11-11 (ARG) / 1-15 (MEX)
  • representative.
type
  • string
  • Tipo de representante
  • [PRESIDENT, PROXY, OTHER]
  • representative.
name
  • string
  • Nombre del representante
    • Alfabético
    • Min/Max: 1-30 (ARG) / 1-20 (MEX)
  • representative.
surname
  • string
  • Apellido del representante
    • Alfabético
    • Min/Max: 1-30 (ARG) / 1-20 (MEX)
  • representative.identification.
type
  • string
  • Tipo de documento del representante
  • [CUIT(ARG),RFC(MEX)]
  • representative.identification.
number
  • string
  • Número de documento del representante
    • Numérico
    • Min/Max: 11-11 (ARG) / 1-15 (MEX)
  • representative.
email
  • string
  • Email del representante
    • Email válido
    • Min/Max: 1-100
  • representative.
phone
  • string
  • Teléfono del representante
    • Teléfono válido
    • Min/Max: 1-20
  • financial_info.
tax_condition
  • string
  • Condición impositiva del comercio
  • [RESPONSABLE_INSCRIPTO, HABITUALISTA, NO_INSCRIPTO, MONOTRIBUTISTA, EXENTO, NO_CATEGORIZADO, CATEGORIZADO]
  • financial_info.account_info.
cbu_or_cvu
  • string
  • Número de CBU/CVU(ARG), CLAVE(MEX)
    • Numérico
    • Min/Max: 22-22 (ARG) / 18-18 (MEX)
  • financial_info.account_info.account_type.
code
  • string
  • Código de tipo de cuenta
  • [01 (Caja de Ahorro), 02 (Cuenta Corriente)]
  • financial_info.account_info.account_type.
type
  • string
  • Tipo de cuenta
  • [Caja de Ahorro, Cuenta Corriente]

Provincias/Estados

Provincias argentinas 🇦🇷
  • BUENOS_AIRES
  • CATAMARCA
  • CHACO
  • CHUBUT
  • CAPITAL_FEDERAL
  • CORRIENTES
  • CORDOBA
  • ENTRE_RIOS
  • FORMOSA
  • JUJUY
  • LA_PAMPA
  • LA_RIOJA
  • MENDOZA
  • MISIONES
  • NEUQUEN
  • RIO_NEGRO
  • SALTA
  • SAN_JUAN
  • SAN_LUIS
  • SANTA_CRUZ
  • SANTA_FE
  • SANTIAGO_DEL_ESTERO
  • TIERRA_DEL_FUEGO
  • TUCUMAN
Estados de México 🇲🇽
  • AGUASCALIENTES
  • BAJA_CALIFORNIA
  • BAJA_CALIFORNIA_SUR
  • CAMPECHE
  • COAHUILA
  • COLIMA
  • CHIAPAS
  • CHIHUAHUA
  • DURANGO
  • DISTRITO_FEDERAL
  • GUANAJUATO
  • GUERRERO
  • HIDALGO
  • JALISCO
  • MEXICO
  • MICHOACAN
  • MORELOS
  • NAYARIT
  • NUEVO_LEON
  • OAXACA
  • PUEBLA
  • QUERETARO
  • QUINTANA_ROO
  • SAN_LUIS_POTOSI
  • SINALOA
  • SONORA
  • TABASCO
  • TAMAULIPAS
  • TLAXCALA
  • VERACRUZ
  • YUCATAN
  • ZACATECAS
 curl --request PATCH \
  --url https://api.menta.global/api/v2/merchants/{merchant_id} \
  --header 'Authorization: Bearer {access_token}' \
  --header 'Content-Type: application/json' \
  --data '{
      "legal_type": "string",
      "business_name": "string",
      "fantasy_name": "string",
      "address":{
          "state": "string",
          "city": "string",
          "zip": "string",
          "street": "string",
          "number": "string",
          "floor": "string",
          "apartment": "string",
          "location": {
              "lat": -34.603722,
              "lng": -58.381592
          }
      },
      "tax_identification":{
          "type": "string",
          "number": "string"
      },
      "representative":{
          "type": "string",
          "name": "string",
          "surname": "string",
          "identification":{
              "type": "string",
              "number": "string"
          },
          "email": "string",
          "phone": "string"
      },
      "financial_info":{
          "tax_condition": "string",
          "account_info":{
              "cbu_or_cvu": "string",
              "account_type":{
                  "code": "string",
                  "type": "string"
              }
          }
      }
  }'
{
  "merchant_id": "string",
}